# (c) cavaliba.com - test / data for builtin schemas

# builtin
# -------
# _enumerate
# _user
# _group
# _role
# _permission
# app
# site
# sitegroup


# -----------------------------------
# test - enumerate
# -----------------------------------

- classname: _enumerate
  keyname: enumerate_test
  displayname: "Enumerate Test ABCDE"
  description: "Enumerate Test ABCDE"
  content: |
    - value: "A"
      long: "A - OK"
      #is_enabled: True
      widget: "green_circle"
      num: 1
      description: "Use if perfect"
      enumstring: string AAA
      enumint: int 111
      enumfloat: float 111.1
      enumboolean: boolean no

    - value: "B"
      long: "B - Good"
      widget: "yellow_circle"
      num: 2
      enumstring: string BBB
      enumint: int 222
      enumfloat: float 222.2
      enumboolean: boolean no

    - value: "C"
      long: "C - Medium"
      widget: "orange_circle"
      num: 3
      enumstring: string CCC
      enumint: int 333
      enumfloat: float 333.3
      enumboolean: boolean no

    - value: "D"
      long: "D - Bad"
      widget: "red_circle"
      num: 4

    - value: "E"
      long: "E - Alert"
      widget: "black_circle"
      num: 5

    - value: "n/a"
      long: "n/a"
      widget: "white_circle"
      enumstring: string ZZZ
      enumint: int 999
      enumfloat: float 99.99
      enumboolean: boolean yes

    - value: "?"
      long: "? - check"
      description: "Unknown/Check"
      widget: "blue_circle"
      enumboolean: boolean yes

    - value: "complex"
      widget: 'html <span class="badge bg-dark">Widget</span> &nbsp;'
      enumstring: string test_enum_string
      enumint: int 123
      enumfloat: float 99.95
      enumboolean: boolean no



# ----------------------------------------------------
# user
# ----------------------------------------------------

- classname: _user
  login: testuser01
  email: testuser01@test.com
  mobile: 0123456789
  displayname: Test User 01
  description: Test User 01
  is_enabled: true
  want_notifications: true
  want_24: true
  want_sms: true
  want_email: true
  external_id: #TestUser01

- classname: _user
  keyname: testuser02
  #login: testuser02
  email: testuser02@test.com
  mobile: 0123456789
  displayname: Test User 02
  description: Test User 02
  is_enabled: true
  want_notifications: true
  want_24: true
  want_sms: true
  want_email: true
  external_id: #TestUser02

- classname: _user
  keyname: testuser03
  #login: testuser03
  email: testuser03@test.com
  mobile: 0123456789
  displayname: Test User 03
  description: Test User 03
  is_enabled: true
  want_notifications: true
  want_24: true
  want_sms: true
  want_email: true
  external_id: #TestUser03


- classname: _user
  keyname: testuser04

- classname: _user
  keyname: testuser05

- classname: _user
  keyname: testuser06

- classname: _user
  keyname: testuser07

- classname: _user
  keyname: testuser08

- classname: _user
  keyname: testuser09

- classname: _user
  keyname: testuser10


# ----------------------------------------------------
# group
# ----------------------------------------------------

- classname: _group
  keyname: testgroup01
  displayname: TestGroup01
  description: TestGroup 01
  subgroups: 
    - testgroup01a
    - testgroup01b
  users: 
      - testuser01

- classname: _group
  keyname: testgroup01a
  displayname: TestGroup01a
  description: TestGroup 01a
  users: 
      - testuser02

- classname: _group
  keyname: testgroup01b
  displayname: TestGroup01b
  description: TestGroup 01b
  users: 
      - testuser03


- classname: _group
  keyname: testgroup02
  displayname: TestGroup02
  description: TestGroup 02

- classname: _group
  keyname: testgroup03
  displayname: TestGroup03
  description: TestGroup 03

# ----------------------------------------------------
# role
# ----------------------------------------------------

- classname: _role
  keyname: role_test_01
  displayname: Test Role 01
  subgroups:
      - testgroup01
  users:
      - testuser04
      - testuser05
  permissions:
      - p_test01

- classname: _role
  keyname: role_test_02
  displayname: Test Role 02
  subgroups:
      - testgroup02
  users:
      - testuser06
      - testuser07
  permissions:
      - p_test02

# ----------------------------------------------------
# permission
# ----------------------------------------------------

- classname: _permission
  keyname: p_test01
  is_builtin: True
  description: permission 01
  displayname: p_test_01

- classname: _permission
  keyname: p_test02
  is_builtin: False
  description: permission 02
  displayname: p_test_02





# ----------------------------------------------------
# app
# ----------------------------------------------------

- classname: app
  keyname: testapp01
  displayname: Test APP 01
  description: Test APP 01
  notify_group:
    - testgroup01

- classname: app
  keyname: testapp02
  displayname: Test APP 02
  notify_group:
    - testgroup02

- classname: app
  keyname: testapp03
  displayname: Test APP 03

- classname: app
  keyname: testapp04
  displayname: Test APP 04

- classname: app
  keyname: testapp05
  displayname: Test APP 05

- classname: app
  keyname: testapp06
  displayname: Test APP 06

- classname: app
  keyname: testapp07
  displayname: Test APP 07

- classname: app
  keyname: testapp08
  displayname: Test APP 08

- classname: app
  keyname: testapp09
  displayname: Test APP 09

- classname: app
  keyname: testapp10
  displayname: Test APP 10


# ----------------------------------------------------
# site
# ----------------------------------------------------

- classname: site
  keyname: testsite01
  displayname: Test Site 01
  notify_group:
    - testgroup01

- classname: site
  keyname: testsite02
  displayname: Test Site 02
  notify_group:
    - testgroup02

- classname: site
  keyname: testsite03

- classname: site
  keyname: testsite04

- classname: site
  keyname: testsite05

- classname: site
  keyname: testsite06

- classname: site
  keyname: testsite07

- classname: site
  keyname: testsite08

- classname: site
  keyname: testsite09

- classname: site
  keyname: testsite10



# ----------------------------------------------------
# sitegroup
# ----------------------------------------------------

- classname: sitegroup
  keyname: testsitegroup01
  displayname: Test SiteGroup 01
  members: 
      - testsite01


- classname: sitegroup
  keyname: testsitegroup02
  displayname: Test SiteGroup 02
  members: 
      - testsite02

- classname: sitegroup
  keyname: testsitegroup03
  displayname: Test SiteGroup 03
  members: 
      - testsite03, testsite04, testsite05





# -----------------------------------------------------
# home
# ----------------------------------------------------

